> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Delete Customer Location

DELETE https://crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D

Permanently delete a customer location. This action cannot be undone. All associated service history, equipment, and contacts will also be removed. Consider deactivating instead of deleting if you need to preserve historical data.

Reference: https://docs.itspropel.com/propel-biz/05-crm/customers/customer-location-management/delete-customer-location

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D:
    delete:
      operationId: delete-customer-location
      summary: Delete Customer Location
      description: >-
        Permanently delete a customer location. This action cannot be undone.
        All associated service history, equipment, and contacts will also be
        removed. Consider deactivating instead of deleting if you need to
        preserve historical data.
      tags:
        - >-
          subpackage_05Crm.subpackage_05Crm/customers.subpackage_05Crm/customers/customerLocationManagement
      parameters:
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '204':
          description: No Content
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/05 CRM_Customers_Customer Location
                  Management_Delete Customer Location_Response_204
servers:
  - url: https:/
components:
  schemas:
    05 CRM_Customers_Customer Location Management_Delete Customer Location_Response_204:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        05 CRM_Customers_Customer Location Management_Delete Customer
        Location_Response_204

```

## SDK Code Examples

```python
import requests

url = "https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D"

payload = {
    "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890",
    "X-Tenant-Key": "acme_corp|region_us"
}
headers = {
    "{{tenant_key_name}}": "{{tenant_key_value1}}|{{tenant_key_value2}}",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D';
const options = {
  method: 'DELETE',
  headers: {
    '{{tenant_key_name}}': '{{tenant_key_value1}}|{{tenant_key_value2}}',
    'Content-Type': 'application/json'
  },
  body: '{"Authorization":"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890","X-Tenant-Key":"acme_corp|region_us"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D"

	payload := strings.NewReader("{\n  \"Authorization\": \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890\",\n  \"X-Tenant-Key\": \"acme_corp|region_us\"\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["{{tenant_key_name}}"] = '{{tenant_key_value1}}|{{tenant_key_value2}}'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"Authorization\": \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890\",\n  \"X-Tenant-Key\": \"acme_corp|region_us\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D")
  .header("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}")
  .header("Content-Type", "application/json")
  .body("{\n  \"Authorization\": \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890\",\n  \"X-Tenant-Key\": \"acme_corp|region_us\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D', [
  'body' => '{
  "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890",
  "X-Tenant-Key": "acme_corp|region_us"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => '{{tenant_key_value1}}|{{tenant_key_value2}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D");
var request = new RestRequest(Method.DELETE);
request.AddHeader("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"Authorization\": \"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890\",\n  \"X-Tenant-Key\": \"acme_corp|region_us\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "{{tenant_key_value1}}|{{tenant_key_value2}}",
  "Content-Type": "application/json"
]
let parameters = [
  "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890",
  "X-Tenant-Key": "acme_corp|region_us"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/crm/customers/%7Bcustomer_id%7D/locations/%7Bcustomer_location_id%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```